Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Tiefenschloss oder Z-Sperren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Tiefenschloss oder Z-Sperren (520 mal gelesen)
d-sign-gmbh
Mitglied


Sehen Sie sich das Profil von d-sign-gmbh an!   Senden Sie eine Private Message an d-sign-gmbh  Schreiben Sie einen Gästebucheintrag für d-sign-gmbh

Beiträge: 5
Registriert: 07.06.2005

erstellt am: 07. Jun. 2005 09:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,
ich habe folgendes Problem:

AutoCAD 2004

"Beim Arbeiten im 3D-Raum mit aktivierten Fangpunkten, verschiebe ich einen Körper. Von Oben gesehen sieht alles toll und richtig aus, leider ist dem aber von einer anderen Ansicht nicht so. Hier stelle ich dann fest, dass der Fangpunkt ganz oben, den Fangpunkt des anderen Objektes ganz unten erwischt hat und sich der Körper in der Z-Höhe verschoben hat."

Ich würde nun gerne beim Arbeiten im 3D-Raum meine Z-Tiefe (oder Z-Werte) sperren. D.h. beim Arbeiten mit Fangpunkten, wird nur die X-Y Koordinate ausgewertet und die Z-Koordinate des Körpers bleibt unverändert.

Die Auswertung mit der Funktion <.xy> ist mir hier aber zu aufwendig, da ich diese Funktion immer und in jedem Ansichtsfenster (BKS) benötige.

Schön wäre hier eine Funktion, wie es Sie in vielen anderen Programmen schon gibt. Kann mir jemand helfen?

Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Jun. 2005 09:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für d-sign-gmbh 10 Unities + Antwort hilfreich


3D-Ansicht.zip

 
in 2004 hast du praktisch keine Chance, nur einen Tip
kann ich geben .

Arbeiten im 3D führt man am besten aus wenn man mit mehreren
Ansichtsfenstern arbeitet, jedes eine andere Ansicht.
So kann man sich nie mit den Fangpunkten vermachen.

Das Wechseln von Modellansichtsfenster zu Ansichtsfenster
geschieht "transparent" durch einen einfachen Klick und kann somit
jederzeit durchgeführt werden !?

So hat man keine Probleme mehr mit Fangpunkten.
(mit 3D-Orbit gedrehte Ansichten ähnlich der isometrischen Ansicht
sind hier von Vorteil)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

d-sign-gmbh
Mitglied


Sehen Sie sich das Profil von d-sign-gmbh an!   Senden Sie eine Private Message an d-sign-gmbh  Schreiben Sie einen Gästebucheintrag für d-sign-gmbh

Beiträge: 5
Registriert: 07.06.2005

erstellt am: 07. Jun. 2005 09:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke soweit, dies tu ich schon.
Wenn die Dateien jedoch umfangreicher werden, wird auch die Zeichnung langsam unübersichtlicher und irgendwann ist ein Konstruieren von oben die einfachste Lösung.

Geht denn hier nicht irgendeine LISP Funktion oder ähnliches. Die Anforderung ist ja nicht so irre... Bei Funktionsaufruf (z.B. Schieben) die X/Y Werte auslesen und Z-Wert nicht verändern.

Ich kenne dieses Tiefenschloss aus Bentley Microstation und das war super damit zu arbeiten.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Jun. 2005 09:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für d-sign-gmbh 10 Unities + Antwort hilfreich

du könntest dir mit einem Makro weiterhelfen das
selbst den Punktfilter aktiviert !?

Man müßte mal die Suchfunktion bemühen, dieses Thema
gab es schon häufiger.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Leo Laimer
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleister



Sehen Sie sich das Profil von Leo Laimer an!   Senden Sie eine Private Message an Leo Laimer  Schreiben Sie einen Gästebucheintrag für Leo Laimer

Beiträge: 25706
Registriert: 24.11.2002

IV bis 2019

erstellt am: 07. Jun. 2005 09:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für d-sign-gmbh 10 Unities + Antwort hilfreich

Hallo Freunde,

Diese Fangoption fehlt nur im "nackten" AutoCAD, ab Mechanical ist das dabei (AMPSNAPZERO).
Ja, und sogar im ACAD ist eine Spacemouse ein Segen...

------------------
mfg - Leo

[Diese Nachricht wurde von Leo Laimer am 07. Jun. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 07. Jun. 2005 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für d-sign-gmbh 10 Unities + Antwort hilfreich

Müßtest dir evtl. einen eigenen "3D-Arbeiten" Werkzeugkasten basteln...
hier ein Beispiel-Thread zum Thema: http://ww3.cad.de/foren/ubb/Forum54/HTML/010030.shtml

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Werner-Maahs.de
Mitglied
CAD-Dozent + Konstrukteur + Autor


Sehen Sie sich das Profil von Werner-Maahs.de an!   Senden Sie eine Private Message an Werner-Maahs.de  Schreiben Sie einen Gästebucheintrag für Werner-Maahs.de

Beiträge: 626
Registriert: 04.05.2005

Win XP
AC 2005/6
AC 2013

erstellt am: 07. Jun. 2005 10:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für d-sign-gmbh 10 Unities + Antwort hilfreich

Ich fühle mich genötigt zu fragen, woher AutoCAD wissen sollte, mit welcher Z-Zöhe Du arbeiten willst?

Meine Empfehlung, damit zukünftig der richtige Fangpunkt gewählt wird ist, die Ansicht auf eine Dreidimensionale Betrachtung der Körpers umzustellen. Dies erreichst z.B. mit dem Menü über Ansicht/3D-Ansichten und dann eine ISO-Ansicht wählen oder total frei mit dem 3DOrbit.

Willst Du trotzdem mit einer festen Z-Höhe arbeiten, stelle Dir einen eigenen Werkzeugkasten ein. Hier nimmst Du die 4 Zeichen (^C^C) weg und schreibst dafür:

(setq xy (getpoint "\n XY_Punkt wählen: ") Pkt (List (car xy) (Cadr xy) Z-Höhe))

Habe es zwar nicht probiert, müßte aber funktionieren, solange der damit ausgewählte Punkt auch den Bedingungen des Objektfanges entspricht.

------------------
strukturiertes Zeichnen mit www.Werner-Maahs.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 bis ACA 2013
Arcibem
System:
Windows
Internet-Startseite:
http://www.archi.de

erstellt am: 07. Jun. 2005 10:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für d-sign-gmbh 10 Unities + Antwort hilfreich

Hi!
das könnte helfen:
Code:

(defun c:h-move ()
  (command "_move" (ssget) "" (setq p (getpoint)) (if (setq q (getpoint)) (list (car q) (cadr q) (caddr p)) ""))
)
(defun c:h-copy ();keine Mehrfachauswahl möglich!
  (command "_copy" (ssget) "" (setq p (getpoint)) (if (setq q (getpoint)) (list (car q) (cadr q) (caddr p)) ""))
)

Lisp laden und die neuen Befehle h-move und h-copy verwenden.

Grüsse, Henning Jesse

------------------
VoxelManufaktur Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

d-sign-gmbh
Mitglied


Sehen Sie sich das Profil von d-sign-gmbh an!   Senden Sie eine Private Message an d-sign-gmbh  Schreiben Sie einen Gästebucheintrag für d-sign-gmbh

Beiträge: 5
Registriert: 07.06.2005

erstellt am: 07. Jun. 2005 11:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank!!!
Ihr seit klasse!!!

Funktioniert als Makro genauso wie als Lisp-Funktion!

ICH BIN BEGEISTERT!
Da macht das Arbeiten gleich wieder Spaß!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz